-- 2024-10-08
ALTER TABLE obe_culture_program_requirement
    ADD UNIQUE INDEX obe_culture_program_requirement_unique (culture_program_id ASC, name ASC);

CREATE TABLE obe_course_outline_audit_report (
    id BIGINT NOT NULL,
    course_outline_id BIGINT NOT NULL,
    weight_setting_sign BIGINT NULL COMMENT '课程权重设置标识',
    course_basic_info MEDIUMTEXT NULL COMMENT '课程基础信息',
    course_target_info MEDIUMTEXT NULL COMMENT '课程目标情况',
    rationality_evaluation MEDIUMTEXT NULL COMMENT '合理性评价',
    PRIMARY KEY (id)
)  ENGINE=INNODB DEFAULT CHARACTER SET=UTF8MB4 COLLATE=utf8mb4_general_ci COMMENT='课程目标达成情况评价依据合理性审核表';

-- 2024-10-09
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('3060', '课程大纲-审核', '/api/admin/obe/course_outline/audit_report', 'URL', '3000', '7', 'AUTH', '1', '1', '1');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('3061', '课程大纲-审核及合理性', '/api/admin/obe/course_outline/audit_rationality_report', 'URL', '3000', '8', 'AUTH', '1', '1', '1');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('3062', '课程大纲-审核报告保存', '/api/admin/obe/course_outline/audit/save', 'URL', '3000', '9', 'AUTH', '1', '1', '1');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES ('3063', '审核', 'Audit', 'LINK', '3000', '8', 'AUTH', '3060,3062', '1', '0', '1');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES ('3064', '审核&合理性', 'AuditAndRationality', 'LINK', '3000', '9', 'AUTH', '3061,3062', '1', '0', '1');
